close all;  %Ferme les figures en cours

\begin{verbatim}
% Premiere partie
% 1 Analyse de filtres numriques passe-bas du second ordre
% 1.1 Analyse d'un filtre numrique RII passe-bas du second ordre

b = [0.079 2*0.079 0.079];          %Numrateur
a = [1 -1.2 0.516];                 %Dnominateur

N = 32; n=0:N-1;
delta = [1; zeros(N-1,1)];  %Impulsion
step = ones(N,1);           %Echelon unit
h = filter(b, a, delta);    %Rponse du filtre (ou impz(b,a);)
figure(1); stem(n,h);

L = 256;
[h,w] = freqz(b,a,L);  
m = abs(h); p = angle(h);
figure(2); plot(20*log10(m)); title('Log Magnitude Filtre RII 2nd ordre (echelle Matlab non modifiee)'); 
figure(3); plot(w(1:L-1),20*log10(m(1:L-1))); title('Log Magnitude Filtre RII 2nd ordre'); 
axis([0 pi -60 2]); grid 
figure(4); plot(w,m); title('Magnitude'); figure(5); plot(w,p); title('Phase');

figure(6); zplane(b,a); 
zero = roots(b); pole = roots(a);

Delta1 = 1; Delta2 = -20; 
Fe = 10000; 
Fp = 1000; NFp = round(L*Fp/(Fe/2)); 
Fs = 3000; NFs = round(L*Fs/(Fe/2)); 
gabh = [Delta1*ones(NFs,1); Delta2*ones(L-NFs,1)]; 
gabl = [-Delta1*ones(NFp,1); -5000*ones(L-NFp,1)]; 
figure(3); hold on; plot(w,gabh,'r'); plot(w,gabl,'r');
\end{verbatim}
