\begin{verbatim}
% 2 Synthse d'un filtre passe-bas du second ordre
% 2.1 Synthse d'un filtre RII
Fe = 8000; Fc = 1000; Fp = 700; Fs = 3000;

[N, Wn] = buttord(?,?,?,?);
disp(sprintf('Ordre du filtre de butterworth : %d \n',N));
[b a] = butter(?, ??,'s');         % Filtre analogique de Butterworth
[bb ab] = bilinear(b, a, Fe);      % Transformation bilinaire sans prdistorsion
[bbp abp] = bilinear(b, a, Fe, Fc);% Transformation bilinaire avec prdistorsion en Fc

[bi ai] = impinvar(b, a, Fe);      % Invariance impulsionnelle

L = 256; [hb,w] = freqz(bb,ab,L); figure;
plot(w,20*log10(abs(hb)),'g'); title('Log Magnitude Filtre RII Butterworth'); 
axis([0 pi -40 2]); grid

[hbp,w] = freqz(bbp,abp,L); 
hold on; plot(w,20*log10(abs(hbp)),'b');

[hi,w] = freqz(bi,ai,L); 
plot(w,20*log10(abs(hi)),'c');
\end{verbatim}
