\begin{verbatim}
% II.5 Analyse spectrale

N=64;
hr=boxcar(N);
figure; plot(hr,'y.'); hold on; grid on
ht=bartlett(N); plot(ht,'r:')
hn=hanning(N); plot(hn,'g--')
hm=hamming(N); plot(hm,'m-.')
hb=blackman(N); plot(hb,'b-')

xlabel('n');
ylabel('w(n)'); title('Reponses temporelles de diffrentes fenetres');
legend('Rectangulaire','Bartlett','Hanning','Hamming','Blackman')
AXIS([0 N 0 1.1])

figure
subplot(2,3,1)
grid on
HR = fft(hr,1024);
plot((0:510)/1024,20*log10(abs(HR(1:511)/HR(1))))
AXIS([0 0.5 -80 0]);
ylabel('W dB')
Title('Fentre rectangulaire')

subplot(2,3,2)
grid on
HT = fft(ht,1024);
plot((0:510)/1024,20*log10(abs(HT(1:511)/HT(1))))
AXIS([0 0.5 -80 0]);
ylabel('W dB')
Title('Fentre de Bartlett')

subplot(2,3,3)
grid on
HN = fft(hn,1024);
plot((0:510)/1024,20*log10(abs(HN(1:511)/HN(1))))
AXIS([0 0.5 -80 0]);
ylabel('W dB')
Title('Fentre de Hanning')

subplot(2,3,4)
grid on
HM = fft(hm,1024);
plot((0:510)/1024,20*log10(abs(HM(1:511)/HM(1))))
AXIS([0 0.5 -80 0]);
ylabel('W dB')
Title('Fentre de Hamming')

subplot(2,3,5)
grid on
HB = fft(hb,1024);
plot((0:510)/1024,20*log10(abs(HB(1:511)/HB(1))))
AXIS([0 0.5 -80 0]);
ylabel('W dB')
Title('Fentre de Blackman')

subplot(2,3,6)
grid on
HR = fft(hr,1024);
plot((0:510)/1024,abs(HR(1:511)/HR(1)))
AXIS([0 0.25 0 1]);
ylabel('|W| lineaire')
Title('Fentre rectangulaire')

% Analyse d'un sinus

N = 32;                 % nombre d'echantillons
n = 0 : N-1;            % vecteur des indices (nombres entiers)

a = 12;                 % amplitude de la sinusode
nu_o = 50;              % frquence de la sinusode

nu_e = 300;             % frquence d'chantillonnage
f_o = nu_o/nu_e;        % frquence normalise du signal
T_e = 1/nu_e;           % priode d'chantillonnage
nT_e = n*T_e;           % vecteur des instants (en seconde)

y_n = cos(2*pi*f_o*n);

figure; subplot(3,1,1) ; stem(0:N-1+5,[y_n, zeros(1,5)]); axis([0 N-1+5 -1 1]);
title('Fonction cos(2pi f_o n) chantillonne tronque sur N=32 points'); ylabel('x_N(n)'); grid 

fmin = -1/2; fmax = 1/2;
pas_f = (fmax-fmin)/1024 ; f=(fmin:pas_f:fmax-pas_f) ;
Y = fft(y_n,1024);
subplot(3,1,2) ; plot(f,abs(fftshift(Y)))
title('X_N(e^{j2pif})=TF\{x_N(n(\}') ; grid
Y = fft(y_n.*hamming(N)',1024);
hold on; plot(f,abs(fftshift(Y)),'r');

pas_f = (fmax-fmin)/N ; f=(fmin:pas_f:fmax-pas_f) ;
Y = fft(y_n);
subplot(3,1,3) ; stem(f,abs(fftshift(Y)))
title('X_N(k)=TFD\{x_N(n)\}') ; grid
Y = fft(y_n.*hamming(N)');
hold on; stem(f,abs(fftshift(Y)),'r')

......... A COMPLETER
\end{verbatim}
